Skip to main content
GET
/
custom-tool
/
preferred-models
cURL
curl --request GET \
  --url https://api.beamlearning.io/custom-tool/preferred-models \
  --header 'Authorization: Bearer <token>' \
  --header 'current-workspace-id: <current-workspace-id>'
[
  {
    "id": "<string>",
    "modelName": "<string>",
    "modelValue": "<string>",
    "isDefault": true,
    "llmsGroupId": "<string>",
    "creditsCost": 123,
    "inputTokenPrice": 123,
    "outputTokenPrice": 123,
    "enableInChat": true,
    "isPremium": true,
    "llmsGroup": {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "icon": "<string>",
      "isActive": true,
      "llmModels": "<array>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

current-workspace-id
string
required

Response

200 - application/json
id
string
required
modelName
string
required
modelValue
string
required
isDefault
boolean
required
llmsGroupId
string
required
creditsCost
number
required
inputTokenPrice
number
required
outputTokenPrice
number
required
enableInChat
boolean
required
isPremium
boolean
required
llmsGroup
object
required